Subject: Re: Robert Wilton's No Objection on draft-ietf-httpbis-h3-websockets-02: (with COMMENT)

From: Ryan Hamilton <[email-masked]>
Date: Mon, 7 Feb 2022 15:05:54 -0800

Hi Robert,

Thanks for the review!

On Sun, Jan 30, 2022 at 11:47 PM Robert Wilton via Datatracker <
[email-masked]> wrote:

> Robert Wilton has entered the following ballot position for
> draft-ietf-httpbis-h3-websockets-02: No Objection
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Hi,
>
> Thanks for this document.  Given how short this document is, I found it
> somewhat harder to read than I expected, and hence I have a few minor and
> editorial suggestions (that you are welcome to take or leave) that may
> improve
> readability.
>
>    [RFC8441] defines an extension to HTTP/2 which is also useful in
>    HTTP/3.
>
> 1. I would suggest adding the referenced doc title here rather than
> leading the
> introduction with just the RFC reference number. 2. I think that you need
> at
> least an informative reference to HTTP/2. 3. The references to both HTTP/2
> and
> HTTP/3 should be included when they are cited in the first sentence.
>
>   3.  Websockets Upgrade over HTTP/3
>
> 4. I would suggest moving the 2nd paragraph that considers stream closure
> to
> the end of section 3, since the 1st, 3rd and 4th paragraphs all seem to be
> more
> closely related in their subject matter.
>

These are all good suggestions, thanks! I've fixed them in the Editor's
Draft and will release a new -03 version shortly.